Skip to content
Guides
Fulfillment & ShippingFulfillment
settings:read

Get package

Returns one package format with its dimensions and weight.

GET/v1/fulfillment/packages/{id}

Returns one package format with its dimensions and weight.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/fulfillment/packages/7204558912004325301" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "name": "Example resource",  "type": "box",  "length": 1,  "width": 1,  "height": 1,  "dimensionUnit": "centimeter",  "emptyWeight": 1,  "weightUnit": "kilogram",  "isDefault": false,  "isActive": false,  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}